# Uses of Class
org.eclipse.birt.report.model.api.EmbeddedImageHandle

Packages that use EmbeddedImageHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of EmbeddedImageHandle in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return EmbeddedImageHandle
Modifier and Type
Method
Description
`EmbeddedImageHandle`
ImageHandle.`getEmbeddedImage()`
Returns the embedded image handle that this image refers, if the image source type is `IMAGE_REF_TYPE_EMBED`.
Methods in org.eclipse.birt.report.model.api with parameters of type EmbeddedImageHandle
Modifier and Type
Method
Description
`static EmbeddedImage`
StructureFactory.`createEmbeddedImage(EmbeddedImageHandle baseImage)`
Deprecated.
by `StructureFactory.newEmbeddedImageFrom(EmbeddedImageHandle, String, ModuleHandle)`
`static EmbeddedImage`
StructureFactory.`newEmbeddedImageFrom(EmbeddedImageHandle baseImage, String name, ModuleHandle targetModule)`
Creates an embedded image from another library embedded image.
`static EmbeddedImage`
StructureFactory.`newEmbeddedImageFrom(EmbeddedImageHandle baseImage, ModuleHandle targetModule)`
Creates an embedded image from another library embedded image.